<?php

namespace Magetop\Agency\Observer;

use Magento\Framework\Event\ObserverInterface;

class BeforeViewCart implements ObserverInterface
{
    /**
     * @var \Magetop\Agency\Helper\Data
     */
    protected $_assignHelper;

    /**
     * @param \Magetop\Agency\Helper\Data $helper
     */
    public function __construct(\Magetop\Agency\Helper\Data $helper)
    {
        $this->_assignHelper = $helper;
    }

    public function execute(\Magento\Framework\Event\Observer $observer)
    {
        $this->_assignHelper->checkCartPrice();
    }

}